import { BaseOpenApiV3_1ConverterNode, } from "../../../BaseOpenApiV3_1Converter.node";
import { extendType } from "../../../utils/extendType";
import { X_FERN_BASIC_PASSWORD } from "../fernExtension.consts";
export class XFernBasicPasswordVariableNameConverterNode extends BaseOpenApiV3_1ConverterNode {
    passwordVariableName;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        this.passwordVariableName =
            extendType(this.input)[X_FERN_BASIC_PASSWORD];
    }
    convert() {
        return this.passwordVariableName;
    }
}
